Skip to main content

Search for Appointment Profile objects matching the supplied search criteria

GET 

/v1/appointmentprofiles/search

Search for Appointment Profile objects matching the supplied search criteria.

    • Search by field: /search?title=This is a title&start=2013-06-22T13:00:00.000+0100
    • Search by related object: /search?branch=4&capacity=3. This of course only applies to objects having a direct relationship with a Branch. For example, an Appointment have direct relationships with Capacity, ResourceGroup, Branch.
    • Pagination: ?limit=10&offset=1 (return items 10-19)

Responses​

A Json list of com.qmatic.qp.calendar.model.AppointmentProfile